* Output options - no page number, date, centering, or page breaks, 
  page length=1000 and width=120,  eliminate SAS default titles;
	OPTIONS nonumber nodate nocenter formdlim=' ' 
			pagesize=1000 linesize=120; TITLE;

*Library for data files;
*Replace path with location of .sasb7sat file;
LIBNAME folder 'F:\Locker_Hoffman_Bovaird_Electronic_Appendix';

/*** 	Note: These models assume a stacked data structure in which each row
     	provides the response time for a single subject and a single item. ***/

*SAS: Bringing in data from folder to work library;
DATA Example; SET folder.Example; run;

TITLE 'Eq3: SAS Empty Model: No Random Effects';
PROC MIXED DATA=Example COVTEST NOCLPRINT NOITPRINT METHOD=REML;
	*Observations for subjects and items are considered categorical;
		CLASS Subject Item;
	*RT predicted from intercept only;
		MODEL rt = / SOLUTION DDFM=Satterthwaite; run;

TITLE 'Eq4: SAS Random Effects of Subjects Model';
PROC MIXED DATA=Example COVTEST NOCLPRINT NOITPRINT METHOD=REML;
	*Observations for subjects and items are considered categorical;
		CLASS Subject Item;
	*RT predicted from intercept only;
		MODEL rt = / SOLUTION DDFM=Satterthwaite;
	*Level 2 variance for subjects;
		RANDOM INTERCEPT / SUBJECT=Subject TYPE=UN; run;

TITLE 'Eq5: SAS Random Subjects by Random Items Crossed Model';
PROC MIXED DATA=Example COVTEST NOCLPRINT NOITPRINT METHOD=REML;
	*Observations for subjects and items are considered categorical;
		CLASS Subject Item;
	*RT predicted from intercept only;
		MODEL rt =  / SOLUTION DDFM=Satterthwaite;
	*Level 2 variance for items;
		RANDOM INTERCEPT / SUBJECT=Item TYPE=UN;
	*Level 2 variance for subjects; 
		RANDOM INTERCEPT / SUBJECT=Subject TYPE=UN; run; 

TITLE 'Eq6: SAS Random Subjects by Random Items Crossed Predictive Model';
PROC MIXED DATA=Example COVTEST NOCLPRINT NOITPRINT METHOD=REML;
	*Observations for subjects and items are considered categorical;
	*Item predictors are also categorical;
		CLASS Subject Item freq size;
	*RT predicted from freq, size, and freq*size;
		MODEL rt = freq|size / SOLUTION DDFM=Satterthwaite;
	*Level 2 variance for items;
		RANDOM INTERCEPT / SUBJECT=Item TYPE=UN;
	*Level 2 variance for subjects; 
		RANDOM INTERCEPT / SUBJECT=Subject TYPE=UN; 
	*Requesting means per condition;
		LSMEANS freq*size; run; 



